
; Constants

; Resource symbols keyed to resource file
 ; The application icon. Must match the resource id, eg: #define IDI_APP_ICON 100
 IDI_APP_ICON				equ 100						; The application icon
 IDB_PROTRV					equ 1000						; Treeview bitmaps

; Custom messages
 WM_LBUTTONUP_X			equ 1100						; Custom mouse-up message


.data

; String data
 szClassName				db "MainWinClass",0		; The main window class
 szAppName					db "Treeview Drag",0		; The application title
 szTreeViewClass			db 'SysTreeView32',0		; The Treeview class

; Boolean data
 DragMode					dd FALSE						; Drag operation is in progress
 DragTargetLive			dd FALSE						; We have highlited an item as a "target"
 
 
.data?

; Windows structures
 hInstance		HINSTANCE ?
 CommandLine	LPSTR ?
 icex				INITCOMMONCONTROLSEX <?>	

; Treeview handles
 hPrjTrv						dd ?							; The Treeview class handle
 hPrjIml						dd ?							; TreeView ImageList handle
 OldTreeViewProc			dd ?							; Store the default Treeview class proc
 hTVItem00					dd ?							; Some Treeview item handles
 hTVItem01					dd ?	
 hTVItem02					dd ?	
 hTVItem03					dd ?	
 hTVItem04					dd ?
 hDragImageList			dd ?


.code

; Function prototypes
WinMain 						proto :DWORD,:DWORD,:DWORD,:DWORD
TreeViewProc				proto :HWND, :UINT, :WPARAM,:LPARAM
AddTreeViewNode			proto :HWND,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:LPARAM


; Macros

; Mnemonic copy from one memory location to another.
m2m macro M1, M2
	push M2
	pop  M1
endm


